## mochiweb 2.9.2

=== Makefile ===
PREFIX:=../
DEST:=$(PREFIX)$(PROJECT)

REBAR=./rebar

.PHONY: all edoc test clean build_plt dialyzer app

all:
	@$(REBAR) prepare-deps

edoc: all
	@$(REBAR) doc

test:
	@rm -rf .eunit
	@mkdir -p .eunit
	@$(REBAR) eunit

clean:
	@$(REBAR) clean

app:
	@$(REBAR) -r create template=mochiwebapp dest=$(DEST) appid=$(PROJECT)

=== debian/changelog ===
mochiweb (2.9.2-1) unstable; urgency=medium

  * New upstream release:
    - add timeouts to SSL connect to prevent DoS by opening a connection and
      not doing anything,
    - prevent using ECDH cipher in R16B because it is broken,
    - for default SSL connections, remove usage of sslv3 and not-so-secure
      ciphers.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 20 Oct 2014 17:12:20 +0000

mochiweb (2.9.0-1) unstable; urgency=low

  * Initial release (closes: #543169).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Sep 2014 00:14:30 +0000

## mochiweb 2.12.2

=== debian/changelog ===
mochiweb (2.12.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 21 May 2015 16:14:37 +0000

## mochiweb 2.13.0

=== Makefile ===
--- 
+++ 
@@ -20,4 +20,5 @@
 	@$(REBAR) clean
 
 app:
+	@[ -z "$(PROJECT)" ] && echo "ERROR: required variable PROJECT missing" 1>&2 && exit 1 || true
 	@$(REBAR) -r create template=mochiwebapp dest=$(DEST) appid=$(PROJECT)

=== debian/changelog ===
mochiweb (2.13.0-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 14 Feb 2016 09:40:20 +0100

=== debian/control ===
Source: mochiweb
Section: devel
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), erlang-dev, erlang-eunit,
 erlang-tools, erlang-crypto, erlang-xmerl, erlang-syntax-tools
Standards-Version: 3.9.6
Homepage: https://github.com/mochi/mochiweb

Package: erlang-mochiweb
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base, erlang-crypto,
 erlang-xmerl, erlang-syntax-tools
Description: Erlang library for building lightweight HTTP servers
 MochiWeb is an Erlang library for building lightweight HTTP servers.
 .
 It is used (in conjunction with eswf and egeoip) to power services such as
 MochiBot and MochiAds, which serve dynamically generated SWF content to
 millions of viewers daily.

## mochiweb 2.14.0

=== debian/changelog ===
mochiweb (2.14.0-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 23 Apr 2016 12:49:42 +0000

mochiweb (2.13.1-1) unstable; urgency=low

  * New upstream, bugfix release.
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 Mar 2016 18:48:01 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), erlang-dev, erlang-eunit,
  erlang-tools, erlang-crypto, erlang-xmerl, erlang-syntax-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/mochi/mochiweb
 
 Package: erlang-mochiweb

## mochiweb 2.15.0

=== debian/changelog ===
mochiweb (2.15.0-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 14 May 2016 18:31:00 +0000

## mochiweb 2.15.1

=== debian/changelog ===
mochiweb (2.15.1-1ubuntu1) zesty; urgency=medium

  * Turn off the test suite for now until #837271 is fixed.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 15 Feb 2017 15:19:45 +0530

mochiweb (2.15.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Aug 2016 17:40:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mochiweb
 Section: devel
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), erlang-dev, erlang-eunit,
  erlang-tools, erlang-crypto, erlang-xmerl, erlang-syntax-tools
 Standards-Version: 3.9.8

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://github.com/mochi/mochiweb/tags .*[^n]/(?:v||release-|mochiweb[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## mochiweb 2.18.0

=== debian/changelog ===
mochiweb (2.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Turn off self-tests for now (closes: #837271).
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 29 May 2018 21:22:47 +0000

=== debian/control ===
Source: mochiweb
Section: devel
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 11~), erlang-dev, erlang-eunit,
 erlang-tools, erlang-crypto, erlang-xmerl, erlang-syntax-tools
Standards-Version: 4.1.4
Homepage: https://github.com/mochi/mochiweb

Package: erlang-mochiweb
Architecture: all
Depends: ${misc:Depends}, erlang-base, erlang-crypto, erlang-xmerl,
 erlang-syntax-tools
Description: Erlang library for building lightweight HTTP servers
 MochiWeb is an Erlang library for building lightweight HTTP servers.
 .
 It is used (in conjunction with eswf and egeoip) to power services such as
 MochiBot and MochiAds, which serve dynamically generated SWF content to
 millions of viewers daily.

## mochiweb 2.19.0

=== debian/changelog ===
mochiweb (2.19.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 Feb 2019 18:29:01 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11~), erlang-dev, erlang-eunit,
  erlang-tools, erlang-crypto, erlang-xmerl, erlang-syntax-tools
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/mochi/mochiweb
 
 Package: erlang-mochiweb

## mochiweb 2.20.0

=== debian/changelog ===
mochiweb (2.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Jul 2019 14:29:54 +0000

## mochiweb 2.20.1

=== debian/changelog ===
mochiweb (2.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 21 Feb 2020 18:34:47 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11~), erlang-dev, erlang-eunit,
+Build-Depends: debhelper-compat (= 11), erlang-dev, erlang-eunit,
  erlang-tools, erlang-crypto, erlang-xmerl, erlang-syntax-tools
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/mochi/mochiweb
 
 Package: erlang-mochiweb

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_test:
	echo Self-tests are disabled

%:
	dh $@

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4
opts=uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://github.com/mochi/mochiweb/tags .*[^n]/(?:v||release-|mochiweb[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## mochiweb 2.22.0

=== debian/changelog ===
mochiweb (2.22.0-1) unstable; urgency=medium

  * New upstream release (closes: #966980).
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Dec 2021 08:28:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 11), erlang-dev, erlang-eunit,
+Build-Depends: debhelper-compat (= 13), erlang-dev, erlang-eunit,
  erlang-tools, erlang-crypto, erlang-xmerl, erlang-syntax-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/mochi/mochiweb
 
 Package: erlang-mochiweb

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/i,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/mochi/mochiweb/tags \
(?:|.*/)v?(\d\S*)@ARCHIVE_EXT@

## mochiweb 3.1.1

=== debian/changelog ===
mochiweb (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 19 Nov 2022 11:54:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 13), erlang-dev, erlang-eunit,
+Build-Depends: debhelper-compat (= 13), rebar3, erlang-dev, erlang-eunit,
  erlang-tools, erlang-crypto, erlang-xmerl, erlang-syntax-tools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/mochi/mochiweb
 
 Package: erlang-mochiweb

## mochiweb 3.1.2

=== debian/changelog ===
mochiweb (3.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 13 Jun 2023 19:07:32 +0200

## mochiweb 3.2.1

=== debian/changelog ===
mochiweb (3.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 02 Oct 2023 18:07:34 +0200

mochiweb (3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 06 Sep 2023 10:00:27 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), rebar3, erlang-dev, erlang-eunit,
  erlang-tools, erlang-crypto, erlang-xmerl, erlang-syntax-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/mochi/mochiweb
 
 Package: erlang-mochiweb

## mochiweb 3.2.2

=== debian/changelog ===
mochiweb (3.2.2-2) unstable; urgency=medium

  * Add ca-certificates build dependency (closes: #1090246).
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Dec 2024 20:30:43 +0100

mochiweb (3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Use no for Rules-Requires-Root.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 25 Mar 2024 18:00:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), rebar3, erlang-dev, erlang-eunit,
- erlang-tools, erlang-crypto, erlang-xmerl, erlang-syntax-tools
-Standards-Version: 4.6.2
+ erlang-tools, erlang-crypto, erlang-xmerl, erlang-syntax-tools,
+ ca-certificates
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://github.com/mochi/mochiweb
 
 Package: erlang-mochiweb

## mochiweb 3.3.0

=== Makefile ===
REBAR?=rebar3

.PHONY: all edoc test clean build

all: build

build:
	@$(REBAR) get-deps # rebar2 compatibility, it's no-op on rebar3
	@$(REBAR) compile

test: build
	@$(REBAR) eunit

edoc: build
	@$(REBAR) edoc

clean:
	@$(REBAR) clean

=== examples/example_project/Makefile ===
REBAR?=rebar3

.PHONY: all edoc test clean app

build:
	@$(REBAR) get-deps # rebar2 compatibility, it's no-op on rebar3
	@$(REBAR) compile

test:
	@$(REBAR) eunit

edoc:
	@$(REBAR) edoc

clean:
	@$(REBAR) clean

=== debian/changelog ===
mochiweb (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove now redundant Rules-Requires-Root value.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 09 Oct 2025 18:58:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Build-Depends: debhelper-compat (= 13), rebar3, erlang-dev, erlang-eunit,
  erlang-tools, erlang-crypto, erlang-xmerl, erlang-syntax-tools,
  ca-certificates
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/mochi/mochiweb
 
 Package: erlang-mochiweb

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_clean:
	dh_clean
	$(RM) -r $(CURDIR)/_build/
	$(RM) $(CURDIR)/rebar.lock
	$(RM) $(CURDIR)/TEST-*

override_dh_installexamples:
	dh_installexamples
	find $(CURDIR)/debian/erlang-mochiweb/ -name .gitignore -delete

%:
	dh $@

.PHONY: override_dh_clean override_dh_installexamples

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/i,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/mochi/mochiweb/tags \
(?:|.*/)[vV]?(\d\S*)@ARCHIVE_EXT@
